| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::PyRotationWarper Class Reference

`#include <opencv2/stitching/warpers.hpp>`

## Public Member Functions
| PyRotationWarper (String type, float scale)
| PyRotationWarper ()
| ~PyRotationWarper ()
Rect | buildMaps (Size src_size, InputArray K, InputArray R, OutputArray xmap, OutputArray ymap)
| Builds the projection maps according to the given camera data. More...
float | getScale () const
void | setScale (float)
Point | warp (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, OutputArray dst)
| Projects the image. More...
void | warpBackward (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, Size dst_size, OutputArray dst)
| Projects the image backward. More...
Point2f | warpPoint (const Point2f &pt, InputArray K, InputArray R)
| Projects the image point. More...
Rect | warpRoi (Size src_size, InputArray K, InputArray R)

## Constructor & Destructor Documentation

## ◆ PyRotationWarper() [1/2]

cv::PyRotationWarper::PyRotationWarper | ( | String | type,
|  | float | scale
| ) |  |

Python:
| <PyRotationWarper object> | = | cv.PyRotationWarper( | type, scale | )
| <PyRotationWarper object> | = | cv.PyRotationWarper( |  | )

## ◆ PyRotationWarper() [2/2]

cv::PyRotationWarper::PyRotationWarper | ( |  | ) |
| inline

Python:
| <PyRotationWarper object> | = | cv.PyRotationWarper( | type, scale | )
| <PyRotationWarper object> | = | cv.PyRotationWarper( |  | )

## ◆ ~PyRotationWarper()

cv::PyRotationWarper::~PyRotationWarper | ( |  | ) |
| inline

## Member Function Documentation

## ◆ buildMaps()

Rect cv::PyRotationWarper::buildMaps | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | R,
|  | OutputArray | xmap,
|  | OutputArray | ymap
| ) |  |

Python:
| retval, xmap, ymap | = | cv.PyRotationWarper.buildMaps( | src_size, K, R[, xmap[, ymap]] | )

Builds the projection maps according to the given camera data.

Parameters

  src_size | Source image size
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  xmap | Projection map for the x axis
  ymap | Projection map for the y axis

Returns
  Projected image minimum bounding box

## ◆ getScale()

float cv::PyRotationWarper::getScale | ( |  | ) | const
| inline

Python:
| retval | = | cv.PyRotationWarper.getScale( |  | )

## ◆ setScale()

void cv::PyRotationWarper::setScale | ( | float |  | ) |
| inline

Python:
| None | = | cv.PyRotationWarper.setScale( | arg1 | )

## ◆ warp()

Point cv::PyRotationWarper::warp | ( | InputArray | src,
|  | InputArray | K,
|  | InputArray | R,
|  | int | interp_mode,
|  | int | border_mode,
|  | OutputArray | dst
| ) |  |

Python:
| retval, dst | = | cv.PyRotationWarper.warp( | src, K, R, interp_mode, border_mode[, dst] | )

Projects the image.

Parameters

  src | Source image
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  interp_mode | Interpolation mode
  border_mode | Border extrapolation mode
  dst | Projected image

Returns
  Project image top-left corner

## ◆ warpBackward()

void cv::PyRotationWarper::warpBackward | ( | InputArray | src,
|  | InputArray | K,
|  | InputArray | R,
|  | int | interp_mode,
|  | int | border_mode,
|  | Size | dst_size,
|  | OutputArray | dst
| ) |  |

Python:
| dst | = | cv.PyRotationWarper.warpBackward( | src, K, R, interp_mode, border_mode, dst_size[, dst] | )

Projects the image backward.

Parameters

  src | Projected image
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  interp_mode | Interpolation mode
  border_mode | Border extrapolation mode
  dst_size | Backward-projected image size
  dst | Backward-projected image

## ◆ warpPoint()

Point2f cv::PyRotationWarper::warpPoint | ( | const Point2f & | pt,
|  | InputArray | K,
|  | InputArray | R
| ) |  |

Python:
| retval | = | cv.PyRotationWarper.warpPoint( | pt, K, R | )

Projects the image point.

Parameters

  pt | Source point
  K | Camera intrinsic parameters
  R | Camera rotation matrix

Returns
  Projected point

## ◆ warpRoi()

Rect cv::PyRotationWarper::warpRoi | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | R
| ) |  |

Python:
| retval | = | cv.PyRotationWarper.warpRoi( | src_size, K, R | )

Parameters

  src_size | Source image bounding box
  K | Camera intrinsic parameters
  R | Camera rotation matrix

Returns
  Projected image minimum bounding box

The documentation for this class was generated from the following file:

- opencv2/stitching/warpers.hpp